#include<bits/stdc++.h>
using namespace std;
int main(){

    int n,q,b,k,o,t,r;
    int h=1;
    cin>>n>>q;
    int u=n-1;
    int niz[200001];
    int nizq[200001];

    for(int i=1;i<=n;i++){

        cin>>niz[i];
        b=0;

        for(int j=1;j<=i;j++){

            if(niz[i]<niz[j]){

                b=b+1;
            }
        }

        k=niz[i];

        for(int t=b;t>=0;t--){

            niz[i-b+t]=niz[i-b+t-1];
        }
        niz[i-b]=k;
    }
    for(int i=1;i<=q;i++){

        cin>>nizq[i];
    }

    if(n%2==1){

        o=n-1;
        t=o/2;
        t=t+1;
    }
    else{

        t=n/2;
        t=t+1;
    }

    for(int j=1;j<=q;j++){

        if(niz[j]<niz[1]){

            cout<<t+1<<endl;
        }
        else if(niz[j]>niz[n]){

            cout<<t<<endl;
        }
        else{

        }

        for(int i=1;niz[i]<nizq[j];i++){

            h=h+1;
        }
        for(int i=niz[n];i>nizq[j];i--){

            u=u-1;
        }

        if(u+1==h){

            cout<<(t+1-h)*2+1<<endl;
        }
        else if(h<=t && u>=t){

            cout<<0<<endl;
        }
        else if(h>t){

            r=h-t;
            r=r*2;

            if(n%2==1){

                r=r-1;
            }
            cout<<r<<endl;
        }
        else if(u<t){

            r=t-u;
            r=r*2;

            if(n%2==0){

                r=r-1;
            }
            cout<<r<<endl;
        }
    }
}